# these variables are available on pipeline level
# store only non-sensitive data
variables:
    IMAGE_NAME: bgarcia95/py-demo-app
    IMAGE_TAG: python-app-1.0

stages:
    - test
    - build

# this is a job
run_tests:
    stage: test
    #image:tag // preferrable a fixed version to avoid issues with latest versions
    image: python:3.9-slim-buster
    before_script:
        - apt-get update && apt-get install make
    script:
        - make test


build_image:
    stage: build
    image: docker:20.10.22 # this is the client
    services:
        - docker:20.10.22-dind # this is the deamon
    variables:
        DOCKER_TLS_CERTDIR: "/certs"
    before_script:
        - docker login -u $REGISTRY_USER -p $REGISTRY_PASS
    script:
        - docker build -t $IMAGE_NAME:$IMAGE_TAG .
        - docker push $IMAGE_NAME:$IMAGE_TAG